The SML of NJ Library
The `SplayMapFn` functor

The `SplayMapFn` functor provides a splay-tree implementation of the `ORD_MAP` signature parameterized over the key type.

It is recommended, however, that one use the `RedBlackMapFn` functor instead of `SplayMapFn`, since experimentation has shown it to be faster across the board.

## Synopsis

    functor SplayMapFn (K : ORD_KEY) :> ORD_MAP where type Key.ord_key = K.ord_key

## See Also

`ORD_KEY`, `ORD_MAP`, `RedBlackMapFn`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC